Métodos de seleção

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Selection methods and the translation is 94% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎русский

Visão geral

Os métodos de seleção no FreeCAD permitem a seleção de objetos no FreeCAD Interface: tais como vista 3D, vista em árvore, métodos de seleção, vista de seleção, e outros diálogos. Alguns métodos de seleção são específicos das bancadas de trabalho e estão documentados na documentação específica das bancadas de trabalho.

Vista 3D

Na vista 3D há várias maneiras de selecionar objetos.

Seleção simples

A seleção simples com o mouse (por padrão, clique com o botão esquerdo do mouse) e a pré-seleção são descritas na página Estilos de Navegação.

Cliques repetidos

O primeiro clique seleciona um sub-elemento (vértice, borda ou face) do objeto sob o mouse. Um segundo clique seleciona o objeto inteiro. introduced in version 0.18

O terceiro clique estende a seleção a seu objeto 'container' (PartDesign Body, Std Part, e outros). Outros cliques expandem a seleção até a cadeia de 'contêineres'. introduced in version 0.19

Comandos de seleção

Vista de seleção

A vista de seleção mostra os nomes dos objetos selecionados, incluindo seu nome completo de um objeto, por exemplo, Unnamed#Body.Box001.Face17.

Também permite realizar algumas ações como Std ViewFitSelection, e enviar o objeto para o Python console.

Exportação de objeto

"Isto deve estar na página Vista de seleção".

Selecione qualquer objeto complexo, por exemplo, PartDesign Body ou Std Part, depois na vista de seleção selecione novamente o objeto e pressione Ctrl. + C no teclado para abrir o diálogo Object selection. Isto permite copiar o objeto selecionado junto com todos ou apenas alguns dos objetos de dependência desse objeto. Por exemplo, para uma Std Part os possíveis objetos a serem selecionados incluem a Std Part em si, mas também sua Origem, seus três eixos base (XYZ), e seus três planos base (XY, YZ, XZ).

Após pressionar OK, os objetos selecionados são copiados para a memória, e depois podem ser colados no documento para duplicar apenas esses objetos.

ObjectSelection.png

Diálogo de seleção de objetos que é lançado a partir do vista de seleção.

Vista em árvore

Na vista em árvore os itens podem ser selecionados, ou desmarcados, um de cada vez, segurando a tecla Ctrl e clicando com o mouse.

Um intervalo de itens pode ser selecionado clicando no primeiro item, segurando Shift, e clicando no último item.

A seleção de um único item também mostrará suas propriedades no editor de propriedade.

Um duplo clique abrirá qualquer painel de tarefas associado que contenha ações. Certifique-se de fechar este painel de tarefas antes de executar outro comando ou mudar para qualquer outra bancada de trabalho.

Mais métodos estão disponíveis abrindo o menu de contexto (clique com o botão direito do mouse), dependendo do objeto selecionado ou da bancada de trabalho ativa; veja as informações em vista em árvore.

Scripting

A seleção de objetos é inerentemente uma tarefa gráfica e, portanto, só está disponível quando a ‘interface’ gráfica do usuário é carregada.

Estes comandos podem ser usados em macros ou a partir do console Python.

import FreeCADGui as Gui

Gui.Selection.addSelection
Gui.Selection.addSelectionGate
Gui.Selection.Filter

O comando addSelectionGate restringe o usuário de selecionar objetos não especificados na cadeia de seleção. Um símbolo aparece quando o ponteiro está sobre um item que não está no grupo especificado.

Gui.Selection.addSelectionGate("SELECT Part::Feature SUBELEMENT Edge")

Consulte a Documentação do código-fonte e Ajuda Padrão do Python para obter mais ajuda sobre o uso dessas ferramentas.